## cinnamon-menus 2.2.0%2Bqiana

=== Makefile ===
# Makefile.in generated by automake 1.13.3 from Makefile.am.
# Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994-2013 Free Software Foundation, Inc.

# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



am__is_gnu_make = test -n '$(MAKEFILE_LIST)' && test -n '$(MAKELEVEL)'
am__make_running_with_option = \
  case $${target_option-} in \
      ?) ;; \
      *) echo "am__make_running_with_option: internal error: invalid" \
              "target option '$${target_option-}' specified" >&2; \
         exit 1;; \
  esac; \
  has_opt=no; \
  sane_makeflags=$$MAKEFLAGS; \
  if $(am__is_gnu_make); then \
    sane_makeflags=$$MFLAGS; \
  else \
    case $$MAKEFLAGS in \
      *\\[\ \	]*) \
        bs=\\; \
        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
    esac; \
  fi; \
  skip_next=no; \
  strip_trailopt () \
  { \
    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
  }; \
  for flg in $$sane_makeflags; do \
    test $$skip_next = yes && { skip_next=no; continue; }; \
    case $$flg in \
      *=*|--*) continue;; \
        -*I) strip_trailopt 'I'; skip_next=yes;; \
      -*I?*) strip_trailopt 'I';; \
        -*O) strip_trailopt 'O'; skip_next=yes;; \
      -*O?*) strip_trailopt 'O';; \
        -*l) strip_trailopt 'l'; skip_next=yes;; \
      -*l?*) strip_trailopt 'l';; \
      -[dEDm]) skip_next=yes;; \
      -[JT]) skip_next=yes;; \
    esac; \
    case $$flg in \
      *$$target_option*) has_opt=yes; break;; \
    esac; \
  done; \
  test $$has_opt = yes
am__make_dryrun = (target_option=n; $(am__make_running_with_option))
am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
pkgdatadir = $(datadir)/cinnamon-menus
pkgincludedir = $(includedir)/cinnamon-menus
pkglibdir = $(libdir)/cinnamon-menus
pkglibexecdir = $(libexecdir)/cinnamon-menus
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = x86_64-unknown-linux-gnu
host_triplet = x86_64-unknown-linux-gnu
subdir = .
DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/Makefile.am \
	$(top_srcdir)/configure $(am__configure_deps) \
	$(srcdir)/config.h.in AUTHORS COPYING COPYING.LIB ChangeLog \
	NEWS README config.guess config.sub depcomp install-sh missing \
	ltmain.sh
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/m4/libtool.m4 \
	$(top_srcdir)/m4/ltoptions.m4 $(top_srcdir)/m4/ltsugar.m4 \
	$(top_srcdir)/m4/ltversion.m4 $(top_srcdir)/m4/lt~obsolete.m4 \
	$(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
 configure.lineno config.status.lineno
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = config.h
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
AM_V_P = $(am__v_P_$(V))
am__v_P_ = $(am__v_P_$(AM_DEFAULT_VERBOSITY))
am__v_P_0 = false
am__v_P_1 = :
AM_V_GEN = $(am__v_GEN_$(V))
am__v_GEN_ = $(am__v_GEN_$(AM_DEFAULT_VERBOSITY))
am__v_GEN_0 = @echo "  GEN     " $@;
am__v_GEN_1 = 
AM_V_at = $(am__v_at_$(V))
am__v_at_ = $(am__v_at_$(AM_DEFAULT_VERBOSITY))
am__v_at_0 = @
am__v_at_1 = 
SOURCES =
DIST_SOURCES =
RECURSIVE_TARGETS = all-recursive check-recursive cscopelist-recursive \
	ctags-recursive dvi-recursive html-recursive info-recursive \
	install-data-recursive install-dvi-recursive \
	install-exec-recursive install-html-recursive \
	install-info-recursive install-pdf-recursive \
	install-ps-recursive install-recursive installcheck-recursive \
	installdirs-recursive pdf-recursive ps-recursive \
	tags-recursive uninstall-recursive
am__can_run_installinfo = \
  case $$AM_UPDATE_INFO_DIR in \
    n|no|NO) false;; \
    *) (install-info --version) >/dev/null 2>&1;; \
  esac
RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive	\
  distclean-recursive maintainer-clean-recursive
am__recursive_targets = \
  $(RECURSIVE_TARGETS) \
  $(RECURSIVE_CLEAN_TARGETS) \
  $(am__extra_recursive_targets)
AM_RECURSIVE_TARGETS = $(am__recursive_targets:-recursive=) TAGS CTAGS \
	cscope distdir dist dist-all distcheck
am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) \
	$(LISP)config.h.in
# Read a list of newline-separated strings from the standard input,
# and print each of them once, without duplicates.  Input order is
# *not* preserved.
am__uniquify_input = $(AWK) '\
  BEGIN { nonempty = 0; } \
  { items[$$0] = 1; nonempty = 1; } \
  END { if (nonempty) { for (i in items) print i; }; } \
'
# Make sure the list of sources is unique.  This is necessary because,
# e.g., the same source file might be shared among _SOURCES variables
# for different programs/libraries.
am__define_uniq_tagged_files = \
  list='$(am__tagged_files)'; \
  unique=`for i in $$list; do \
    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
  done | $(am__uniquify_input)`
ETAGS = etags
CTAGS = ctags
CSCOPE = cscope
DIST_SUBDIRS = $(SUBDIRS)
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
distdir = $(PACKAGE)-$(VERSION)
top_distdir = $(distdir)
am__remove_distdir = \
  if test -d "$(distdir)"; then \
    find "$(distdir)" -type d ! -perm -200 -exec chmod u+w {} ';' \
      && rm -rf "$(distdir)" \
      || { sleep 5 && rm -rf "$(distdir)"; }; \
  else :; fi
am__post_remove_distdir = $(am__remove_distdir)
am__relativize = \
  dir0=`pwd`; \
  sed_first='s,^\([^/]*\)/.*$$,\1,'; \
  sed_rest='s,^[^/]*/*,,'; \
  sed_last='s,^.*/\([^/]*\)$$,\1,'; \
  sed_butlast='s,/*[^/]*$$,,'; \
  while test -n "$$dir1"; do \
    first=`echo "$$dir1" | sed -e "$$sed_first"`; \
    if test "$$first" != "."; then \
      if test "$$first" = ".."; then \
        dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \
        dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \
      else \
        first2=`echo "$$dir2" | sed -e "$$sed_first"`; \
        if test "$$first2" = "$$first"; then \
          dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \
        else \
          dir2="../$$dir2"; \
        fi; \
        dir0="$$dir0"/"$$first"; \
      fi; \
    fi; \
    dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \
  done; \
  reldir="$$dir2"
GZIP_ENV = --best
DIST_ARCHIVES = $(distdir).tar.xz
DIST_TARGETS = dist-xz
distuninstallcheck_listfiles = find . -type f -print
am__distuninstallcheck_listfiles = $(distuninstallcheck_listfiles) \
  | sed 's|^\./|$(prefix)/|' | grep -v '$(infodir)/dir$$'
distcleancheck_listfiles = find . -type f -print
ACLOCAL = ${SHELL} /home/mtwebster/bin/cinnamon-menus/missing aclocal-1.13
AMTAR = $${TAR-tar}
AM_DEFAULT_VERBOSITY = 0
AR = ar
AS = as
AUTOCONF = ${SHELL} /home/mtwebster/bin/cinnamon-menus/missing autoconf
AUTOHEADER = ${SHELL} /home/mtwebster/bin/cinnamon-menus/missing autoheader
AUTOMAKE = ${SHELL} /home/mtwebster/bin/cinnamon-menus/missing automake-1.13
AWK = gawk
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -g -O2
CPP = gcc -E
CPPFLAGS = 
CYGPATH_W = echo
DEBUG_CFLAGS = -DG_ENABLE_DEBUG -DG_DISABLE_CAST_CHECKS
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DISABLE_DEPRECATED =  -DGCONF_DISABLE_DEPRECATED -DGCONF_DISABLE_SINGLE_INCLUDES -DBONOBO_DISABLE_DEPRECATED -DBONOBO_DISABLE_SINGLE_INCLUDES -DBONOBO_UI_DISABLE_DEPRECATED -DBONOBO_UI_DISABLE_SINGLE_INCLUDES -DGNOME_DISABLE_DEPRECATED -DGNOME_DISABLE_SINGLE_INCLUDES -DLIBGLADE_DISABLE_DEPRECATED -DLIBGLADE_DISABLE_SINGLE_INCLUDES -DGNOME_VFS_DISABLE_DEPRECATED -DGNOME_VFS_DISABLE_SINGLE_INCLUDES -DWNCK_DISABLE_DEPRECATED -DWNCK_DISABLE_SINGLE_INCLUDES -DLIBSOUP_DISABLE_DEPRECATED -DLIBSOUP_DISABLE_SINGLE_INCLUDES
DISABLE_DEPRECATED_CFLAGS = 
DLLTOOL = dlltool
DSYMUTIL = 
DUMPBIN = 
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /bin/grep -E
EXEEXT = 
FGREP = /bin/grep -F
GIO_UNIX_CFLAGS = -pthread -I/usr/include/gio-unix-2.0/ -I/usr/include/glib-2.0 -I/usr/lib/x86_64-linux-gnu/glib-2.0/include  
GIO_UNIX_LIBS = -lgio-2.0 -lgobject-2.0 -lglib-2.0  
GREP = /bin/grep
INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
INTROSPECTION_CFLAGS = -pthread -I/usr/include/glib-2.0 -I/usr/lib/x86_64-linux-gnu/glib-2.0/include -I/usr/include/gobject-introspection-1.0  
INTROSPECTION_COMPILER = /usr/bin/g-ir-compiler
INTROSPECTION_GENERATE = /usr/bin/g-ir-generate
INTROSPECTION_GIRDIR = /usr/share/gir-1.0
INTROSPECTION_LIBS = -lgirepository-1.0 -lgobject-2.0 -lglib-2.0  
INTROSPECTION_MAKEFILE = /usr/share/gobject-introspection-1.0/Makefile.introspection
INTROSPECTION_SCANNER = /usr/bin/g-ir-scanner
INTROSPECTION_TYPELIBDIR = /usr/lib/girepository-1.0
LD = /usr/bin/ld -m elf_x86_64
LDFLAGS = 
LIBOBJS = 
LIBS = 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LIB_MENU_LT_VERSION = 0:1:0
LIPO = 
LN_S = ln -s
LTLIBOBJS = 
MAINT = 
MAKEINFO = ${SHELL} /home/mtwebster/bin/cinnamon-menus/missing makeinfo
MANIFEST_TOOL = :
MKDIR_P = /bin/mkdir -p
NM = /usr/bin/nm -B
NMEDIT = 
OBJDUMP = objdump
OBJEXT = o
OTOOL = 
OTOOL64 = 
PACKAGE = cinnamon-menus
PACKAGE_BUGREPORT = 
PACKAGE_NAME = cinnamon-menus
PACKAGE_STRING = cinnamon-menus 2.1
PACKAGE_TARNAME = cinnamon-menus
PACKAGE_URL = 
PACKAGE_VERSION = 2.1
PATH_SEPARATOR = :
PKG_CONFIG = /usr/bin/pkg-config
PKG_CONFIG_LIBDIR = 
PKG_CONFIG_PATH = 
RANLIB = ranlib
SED = /bin/sed
SET_MAKE = 
SHELL = /bin/bash
STRIP = strip
VERSION = 2.1
WARN_CFLAGS =  -Wall -Wstrict-prototypes -Wnested-externs -Werror=missing-prototypes -Werror=implicit-function-declaration -Werror=pointer-arith -Werror=init-self -Werror=format-security -Werror=format=2 -Werror=missing-include-dirs 
abs_builddir = /home/mtwebster/bin/cinnamon-menus
abs_srcdir = /home/mtwebster/bin/cinnamon-menus
abs_top_builddir = /home/mtwebster/bin/cinnamon-menus
abs_top_srcdir = /home/mtwebster/bin/cinnamon-menus
ac_ct_AR = ar
ac_ct_CC = gcc
ac_ct_DUMPBIN = 
am__include = include
am__leading_dot = .
am__quote = 
am__tar = $${TAR-tar} chof - "$$tardir"
am__untar = $${TAR-tar} xf -
bindir = ${exec_prefix}/bin
build = x86_64-unknown-linux-gnu
build_alias = 
build_cpu = x86_64
build_os = linux-gnu
build_vendor = unknown
builddir = .
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
exec_prefix = ${prefix}
host = x86_64-unknown-linux-gnu
host_alias = 
host_cpu = x86_64
host_os = linux-gnu
host_vendor = unknown
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = ${SHELL} /home/mtwebster/bin/cinnamon-menus/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
mandir = ${datarootdir}/man
mkdir_p = $(MKDIR_P)
oldincludedir = /usr/include
pdfdir = ${docdir}
prefix = /usr/local
program_transform_name = s,x,x,
psdir = ${docdir}
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
srcdir = .
sysconfdir = ${prefix}/etc
target_alias = 
top_build_prefix = 
top_builddir = .
top_srcdir = .
SUBDIRS = libmenu
ACLOCAL_AMFLAGS = -I m4 ${ACLOCAL_FLAGS}
DISTCHECK_CONFIGURE_FLAGS = --enable-introspection
EXTRA_DIST = \
	HACKING			\
	MAINTAINERS

MAINTAINERCLEANFILES = \
	$(srcdir)/INSTALL \
	$(srcdir)/aclocal.m4 \
	$(srcdir)/config.guess \
	$(srcdir)/config.h.in \
	$(srcdir)/config.sub \
	$(srcdir)/depcomp \
	$(srcdir)/install-sh \
	$(srcdir)/ltmain.sh \
	$(srcdir)/missing \
	$(srcdir)/mkinstalldirs \

## cinnamon-menus 2.2.0

=== debian/changelog ===
cinnamon-menus (2.2.0-3) unstable; urgency=medium

  [ Fabio Fantoni ]
  * Install typelib files in multiarch libdir. (Closes: #762830)
    Thanks to Iain Lane.

  [ Margarita Manterola ]

 -- Margarita Manterola <marga@debian.org>  Sat, 27 Sep 2014 15:04:07 +0200

cinnamon-menus (2.2.0-2) unstable; urgency=medium

  * Release to unstable.

 -- Maximiliano Curia <maxy@debian.org>  Wed, 16 Jul 2014 11:30:17 +0200

cinnamon-menus (2.2.0-1) experimental; urgency=medium

  [ Margarita Manterola ]
  * Initial Release (Closes: #746040)
  * Adapted build to multiarch.

  [ Maximiliano Curia ]
  * Update copyright information.
  * Update install files.
  * Actually fill the debug package.

 -- Maximiliano Curia <maxy@debian.org>  Wed, 16 Jul 2014 11:21:03 +0200

=== debian/control ===
Source: cinnamon-menus
Section: x11
Priority: optional
Maintainer: Debian Cinnamon Team <pkg-cinnamon-team@lists.alioth.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>,
           Margarita Manterola <marga@debian.org>,
           Fabio Fantoni <fantonifabio@tiscali.it>
Homepage: http://cinnamon.linuxmint.com
Build-Depends: debhelper (>= 9),
               dh-autoreconf,
               dh-python,
               gnome-pkg-tools,
               gobject-introspection (>= 0.9.12-4~),
               intltool (>= 0.40.0),
               libgirepository1.0-dev (>= 0.10.7-1~),
               libglib2.0-dev (>= 2.30.0),
               python3 (>= 3.1)
Standards-Version: 3.9.5
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-cinnamon/cinnamon-menus.git
Vcs-Git: git://anonscm.debian.org/pkg-cinnamon/cinnamon-menus.git
X-Python3-Version: >= 3.1

Package: libcinnamon-menu-3-0
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Cinnamon implementation of the freedesktop menu specification
 The package contains an implementation of the draft
 "Desktop Menu Specification" from freedesktop.org:
 .
 http://www.freedesktop.org/Standards/menu-spec
 .
 This package contains the shared library.

Package: libcinnamon-menu-3-0-dbg
Section: debug
Priority: extra
Architecture: any
Depends: libcinnamon-menu-3-0 (= ${binary:Version}), ${misc:Depends}
Description: Cinnamon implementation of the freedesktop menu specification
 The package contains an implementation of the draft
 "Desktop Menu Specification" from freedesktop.org:
 .
 http://www.freedesktop.org/Standards/menu-spec
 .
 This package contains debugging symbols.

Package: libcinnamon-menu-3-dev
Architecture: any
Section: libdevel
Depends: gir1.2-cmenu-3.0 (= ${binary:Version}),
         libcinnamon-menu-3-0 (= ${binary:Version}),
         libglib2.0-dev (>= 2.30.0),
         ${misc:Depends}
Replaces: gir-repository-dev (<< 0.6.5-6)
Description: Cinnamon implementation of the freedesktop menu specification
 The package contains an implementation of the draft
 "Desktop Menu Specification" from freedesktop.org:
 .
 http://www.freedesktop.org/Standards/menu-spec
 .
 This package contains the development headers.

Package: gir1.2-cmenu-3.0
Section: introspection
Architecture: any
Depends: ${gir:Depends}, ${misc:Depends}, ${shlibs:Depends}
Conflicts: gobject-introspection-repository
Description: GObject introspection data for the Cinnamon menu library
 This package contains introspection data for Cinnamon menu, an
 implementation of the desktop menu specification from freedesktop.org.
 .
 It can be used by languages supporting dynamic bindings with
 the GIRepository format.

## cinnamon-menus 2.2.0%2Bqiana

=== debian/changelog ===
cinnamon-menus (2.2.0+qiana) qiana; urgency=medium

  * 2.2.0

 -- Clement Lefebvre <root@linuxmint.com>  Sat, 12 Apr 2014 11:09:28 +0100

cinnamon-menus (2.1) petra; urgency=low

  * Rename

 -- Michael Webster <miketwebster@gmail.com>  Mon, 20 Jan 2014 10:19:41 -0500

gnome-menus (3.8.0-1ubuntu5) saucy; urgency=low

  * debian/patches/ubuntu_gcc_translations.patch: revert dropping of 
    gnome-control-center categories, they got deprecated in g-c-c 3.8 but 
    we are still using 3.6. That should fix the issue where the settings
    categories show as untranslated (lp: #1232534).

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 09 Oct 2013 15:39:21 +0200

gnome-menus (3.8.0-1ubuntu4) saucy; urgency=low

  * Update some of the directory icon names (LP: #1201128)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sun, 08 Sep 2013 14:31:02 -0400

gnome-menus (3.8.0-1ubuntu3) saucy; urgency=low

  * gnome-menus.maintscript:
    - Clean up after rename from /etc/xdg/menus/applications.menu
      to /etc/xdg/menus/gnome-applications.menu
  * debian/gnome-menus.postinst, debian/gnome-menus.prerm:
    - Remove since they may cause issues with ubuntu-gnome-default-settings
  * debian/patches/08_settings-menus.patch:
    + Exclude Sundry items so that they aren't duplicated in the menus

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 14 Jun 2013 16:57:54 -0400

gnome-menus (3.8.0-1ubuntu2) saucy; urgency=medium

  * debian/patches/01_default_prefix.patch:
    - Re-enabled as its absense is causing problems for GNOME Shell
      (LP: #1189722)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 12 Jun 2013 16:22:35 -0400

gnome-menus (3.8.0-1ubuntu1) saucy; urgency=low

  * Merge with Debian, remaining changes:
    - debian/gnome-menus.postinst:
      + Disable blacklist to not break old applications
    - debian/gnome-menus.triggers: Drop "gmenucache".
    - debian/patches/series: Disable 01_default_prefix.patch
    - debian/patches/09_app_install_entry.patch:
      + Include Software Center in menus
    - debian/patches/70_ubuntu-directories.patch
      + Add Ubuntu-specific directories back to POTFILES.in
  * Dropped changes:
    - debian/patches/22_directory-suffix-for-icons.patch
    - debian/gnome-menus.maintscript:
      + ensure conffile is removed on upgrade (not needed after 12.04 LTS)
  * Refreshed patches
  * debian/patches/50_add-gcc-apps.patch
    - Unhide Settings panels in GNOME Shell since we're sticking with Settings
      3.6 for now. Settings 3.8 includes a GNOME Shell 3.8 search provider.

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sat, 08 Jun 2013 16:15:46 -0400

gnome-menus (3.8.0-1) unstable; urgency=low

  [ Josselin Mouette ]
  * Switch to interest-noawait for triggers.

  [ Andreas Henriksson ]
  * New upstream release.
  * Upload to unstable.

 -- Andreas Henriksson <andreas@fatal.se>  Sat, 25 May 2013 16:41:40 +0200

gnome-menus (3.7.90-1) experimental; urgency=low

  [ Josselin Mouette ]
  * Team upload
  * New upstream release.
  * gnome-menus-blacklist: patch from Fabian Greffrath to handle 
    correctly menu files with missing ending newlines. Closes: #692141.
  * Drop Debian menu support entirely. In the case it gets enabled by 
    mistake by users, it breaks the shell beyond all repair.
    Closes: #694356.
  * 02_kill_debian_menu.patch: new patch. Completely remove Debian menu 
    entries by discarding them at the parsing stage. This should work 
    around bug #696530 in menu-xdg.
  * gnome-menus.postinst: clean up the desktop files once upon upgrades, 
    in order to get rid of files generated by a buggy script.

  [ Dmitrijs Ledkovs ]
  * Port gnome-menus-blacklist to python3.

  [ Sjoerd Simons ]
  * New upstream release (3.7.90)
  * debian/patches/10_use-default-python-path.patch,
    debian/patches/21_default-python-in-shebang.patch:
    + Dropped, simple-editor is no longer part of gnome-menus
  * debian/patches/*: refreshed

 -- Sjoerd Simons <sjoerd@debian.org>  Sat, 23 Mar 2013 20:51:31 +0100

gnome-menus (3.6.0-2) experimental; urgency=low

  * Team upload
  * Move to debhelper compat level 9, for compressed debug symbols
  * Add libgnome-menus-3-0-dbg

 -- Simon McVittie <smcv@debian.org>  Thu, 25 Oct 2012 13:00:52 +0100

gnome-menus (3.6.0-1) experimental; urgency=low

  [ Josselin Mouette ]
  * Update blacklist for OpenJDK and Icedtea control panels.
    Closes: #679565.

  [ Sjoerd Simons ]
  * New upstream release (3.6.0)

 -- Sjoerd Simons <sjoerd@debian.org>  Sun, 14 Oct 2012 18:42:49 +0200

gnome-menus (3.4.2-3) unstable; urgency=low

  * 61_nodisplay_recurse.patch: backported from upstream git. Add a 
    function to check for NoDisplay=true recursively. This is needed for 
    gnome-shell.
  * Update symbols file accordingly.

 -- Josselin Mouette <joss@debian.org>  Sat, 23 Jun 2012 20:28:18 +0200

gnome-menus (3.4.2-2) unstable; urgency=low

  * Blacklist imagemagick. Closes: #678406.
  * 60_missing_function.patch: backported from upstream git. Add a 
    missing function in the library. Closes: #676566.
  * Update symbols file.

 -- Josselin Mouette <joss@debian.org>  Sat, 23 Jun 2012 19:02:38 +0200

gnome-menus (3.4.2-1) unstable; urgency=low

  [ Josselin Mouette ]
  * menus.blacklist: update to the latest KDE versions.
    Closes: #650017, #650019.

  [ Michael Biebl ]
  * New upstream release.
  * Change section of gir1.2-gmenu-3.0 to introspection.
  * debian/gnome-menus.maintscript: Use new versioning scheme as recommended
    by dpkg-maintscript-helper which better handles local modifications and
    (bin)NMUs.
  * debian/patches/05_debian_menu.patch: Refreshed.
  * Drop explicit Build-Depends on gir1.2-glib-2.0 and bump
    libgirepository1.0-dev accordingly.
  * Bump Stanards-Version to 3.9.3.
  * debian/menus.blacklist:
    - Remove stale entries which are no longer relevant, mostly KDE3 related.
    - Remove KDE entries which use OnlyShowIn=KDE;
    - Add notes for which .desktop files bugs have been filed. Once they are


=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
# 
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: cinnamon-menus
Section: gnome
Priority: optional
Maintainer: Linux Mint <root@linuxmint.com>
Build-Depends: debhelper (>= 9),
               cdbs (>= 0.4.73),
               libglib2.0-dev (>= 2.30.0),
               gnome-pkg-tools,
               python3 (>= 3.1),
               intltool (>= 0.40.0),
               libgirepository1.0-dev (>= 0.10.7-1~),
               gobject-introspection (>= 0.9.12-4~)
Standards-Version: 3.9.3
X-Python3-Version: >= 3.1

Package: libcinnamon-menu-3-0
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: Cinnamon implementation of the freedesktop menu specification
 The package contains an implementation of the draft
 "Desktop Menu Specification" from freedesktop.org:
 .
 http://www.freedesktop.org/Standards/menu-spec
 .
 Also contained here are the Cinnamon menu layout configuration files, .directory
 files and assorted menu related utility programs.
 .
 This package contains the shared library.

Package: libcinnamon-menu-3-0-dbg
Section: debug
Priority: extra
Architecture: any
Depends: libcinnamon-menu-3-0 (= ${binary:Version}),
         ${misc:Depends}
Description: Cinnamon implementation of the freedesktop menu specification
 The package contains an implementation of the draft
 "Desktop Menu Specification" from freedesktop.org:
 .
 http://www.freedesktop.org/Standards/menu-spec
 .
 Also contained here are the Cinnamon menu layout configuration files, .directory
 files and assorted menu related utility programs.
 .
 This package contains debugging symbols.

Package: libcinnamon-menu-3-dev
Architecture: any
Section: libdevel
Depends: ${misc:Depends},
         libcinnamon-menu-3-0 (= ${binary:Version}),
         gir1.2-cmenu-3.0 (= ${binary:Version}),
         libglib2.0-dev (>= 2.30.0)
Replaces: gir-repository-dev (<< 0.6.5-6)
Description: Cinnamon implementation of the freedesktop menu specification
 The package contains an implementation of the draft
 "Desktop Menu Specification" from freedesktop.org:
 .
 http://www.freedesktop.org/Standards/menu-spec
 .
 Also contained here are the Cinnamon menu layout configuration files, .directory
 files and assorted menu related utility programs.
 .
 This package contains the development headers.

Package: gir1.2-cmenu-3.0
Section: introspection
Architecture: any
Depends: ${gir:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Conflicts: gobject-introspection-repository
Description: GObject introspection data for the Cinnamon menu library
 This package contains introspection data for Cinnamon menu, an
 implementation of the desktop menu specification from freedesktop.org.
 .
 It can be used by languages supporting dynamic bindings with
 the GIRepository format.

=== debian/rules ===
#!/usr/bin/make -f

DEB_BUILDDIR = debian/build

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/gnome.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/gnome-pkg-tools/1/rules/uploaders.mk
-include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

build/cinnamon-menus:: $(OUTFILES)

binary-install/cinnamon-menus::
	dh_python3 -pcinnamon-menus

clean::
	-rm -f $(OUTFILES)

## cinnamon-menus 2.4.0%2Brebecca

=== libmenu/Makefile ===
# Makefile.in generated by automake 1.13.3 from Makefile.am.
# libmenu/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994-2013 Free Software Foundation, Inc.

# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.






am__is_gnu_make = test -n '$(MAKEFILE_LIST)' && test -n '$(MAKELEVEL)'
am__make_running_with_option = \
  case $${target_option-} in \
      ?) ;; \
      *) echo "am__make_running_with_option: internal error: invalid" \
              "target option '$${target_option-}' specified" >&2; \
         exit 1;; \
  esac; \
  has_opt=no; \
  sane_makeflags=$$MAKEFLAGS; \
  if $(am__is_gnu_make); then \
    sane_makeflags=$$MFLAGS; \
  else \
    case $$MAKEFLAGS in \
      *\\[\ \	]*) \
        bs=\\; \
        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
    esac; \
  fi; \
  skip_next=no; \
  strip_trailopt () \
  { \
    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
  }; \
  for flg in $$sane_makeflags; do \
    test $$skip_next = yes && { skip_next=no; continue; }; \
    case $$flg in \
      *=*|--*) continue;; \
        -*I) strip_trailopt 'I'; skip_next=yes;; \
      -*I?*) strip_trailopt 'I';; \
        -*O) strip_trailopt 'O'; skip_next=yes;; \
      -*O?*) strip_trailopt 'O';; \
        -*l) strip_trailopt 'l'; skip_next=yes;; \
      -*l?*) strip_trailopt 'l';; \
      -[dEDm]) skip_next=yes;; \
      -[JT]) skip_next=yes;; \
    esac; \
    case $$flg in \
      *$$target_option*) has_opt=yes; break;; \
    esac; \
  done; \
  test $$has_opt = yes
am__make_dryrun = (target_option=n; $(am__make_running_with_option))
am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
pkgdatadir = $(datadir)/cinnamon-menus
pkgincludedir = $(includedir)/cinnamon-menus
pkglibdir = $(libdir)/cinnamon-menus
pkglibexecdir = $(libexecdir)/cinnamon-menus
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = x86_64-unknown-linux-gnu
host_triplet = x86_64-unknown-linux-gnu
am__append_1 = CMenu-3.0.gir
am__append_2 = $(gir_DATA) $(typelib_DATA)
subdir = libmenu
DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/Makefile.am \
	$(srcdir)/libcinnamon-menu-3.0.pc.in \
	$(srcdir)/libcinnamon-menu-3.0-uninstalled.pc.in \
	$(top_srcdir)/depcomp $(libcinnamon_menu_3_include_HEADERS)
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/m4/libtool.m4 \
	$(top_srcdir)/m4/ltoptions.m4 $(top_srcdir)/m4/ltsugar.m4 \
	$(top_srcdir)/m4/ltversion.m4 $(top_srcdir)/m4/lt~obsolete.m4 \
	$(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES = libcinnamon-menu-3.0.pc \
	libcinnamon-menu-3.0-uninstalled.pc
CONFIG_CLEAN_VPATH_FILES =
am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
am__vpath_adj = case $$p in \
    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
    *) f=$$p;; \
  esac;
am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
am__install_max = 40
am__nobase_strip_setup = \
  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
am__nobase_strip = \
  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
am__nobase_list = $(am__nobase_strip_setup); \
  for p in $$list; do echo "$$p $$p"; done | \
  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
    if (++n[$$2] == $(am__install_max)) \
      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
    END { for (dir in files) print dir, files[dir] }'
am__base_list = \
  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
am__uninstall_files_from_dir = { \
  test -z "$$files" \
    || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
    || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
         $(am__cd) "$$dir" && rm -f $$files; }; \
  }
am__installdirs = "$(DESTDIR)$(libdir)" "$(DESTDIR)$(girdir)" \
	"$(DESTDIR)$(pkgconfigdir)" "$(DESTDIR)$(typelibdir)" \
	"$(DESTDIR)$(libcinnamon_menu_3_includedir)"
LTLIBRARIES = $(lib_LTLIBRARIES)
am__DEPENDENCIES_1 =
libcinnamon_menu_3_la_DEPENDENCIES = $(am__DEPENDENCIES_1)
am__objects_1 = canonicalize.lo desktop-entries.lo \
	entry-directories.lo gmenu-tree.lo menu-layout.lo \
	menu-monitor.lo menu-util.lo
am_libcinnamon_menu_3_la_OBJECTS = $(am__objects_1)
libcinnamon_menu_3_la_OBJECTS = $(am_libcinnamon_menu_3_la_OBJECTS)
AM_V_lt = $(am__v_lt_$(V))
am__v_lt_ = $(am__v_lt_$(AM_DEFAULT_VERBOSITY))
am__v_lt_0 = --silent
am__v_lt_1 = 
libcinnamon_menu_3_la_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC \
	$(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=link $(CCLD) \
	$(AM_CFLAGS) $(CFLAGS) $(libcinnamon_menu_3_la_LDFLAGS) \
	$(LDFLAGS) -o $@
AM_V_P = $(am__v_P_$(V))
am__v_P_ = $(am__v_P_$(AM_DEFAULT_VERBOSITY))
am__v_P_0 = false
am__v_P_1 = :
AM_V_GEN = $(am__v_GEN_$(V))
am__v_GEN_ = $(am__v_GEN_$(AM_DEFAULT_VERBOSITY))
am__v_GEN_0 = @echo "  GEN     " $@;
am__v_GEN_1 = 
AM_V_at = $(am__v_at_$(V))
am__v_at_ = $(am__v_at_$(AM_DEFAULT_VERBOSITY))
am__v_at_0 = @
am__v_at_1 = 
DEFAULT_INCLUDES = -I. -I$(top_builddir)
depcomp = $(SHELL) $(top_srcdir)/depcomp
am__depfiles_maybe = depfiles
am__mv = mv -f
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
	$(AM_CFLAGS) $(CFLAGS)
AM_V_CC = $(am__v_CC_$(V))
am__v_CC_ = $(am__v_CC_$(AM_DEFAULT_VERBOSITY))
am__v_CC_0 = @echo "  CC      " $@;
am__v_CC_1 = 
CCLD = $(CC)
LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
	$(AM_LDFLAGS) $(LDFLAGS) -o $@
AM_V_CCLD = $(am__v_CCLD_$(V))
am__v_CCLD_ = $(am__v_CCLD_$(AM_DEFAULT_VERBOSITY))
am__v_CCLD_0 = @echo "  CCLD    " $@;
am__v_CCLD_1 = 
SOURCES = $(libcinnamon_menu_3_la_SOURCES)
DIST_SOURCES = $(libcinnamon_menu_3_la_SOURCES)
am__can_run_installinfo = \
  case $$AM_UPDATE_INFO_DIR in \
    n|no|NO) false;; \
    *) (install-info --version) >/dev/null 2>&1;; \
  esac
DATA = $(gir_DATA) $(pkgconfig_DATA) $(typelib_DATA)
HEADERS = $(libcinnamon_menu_3_include_HEADERS)
am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
# Read a list of newline-separated strings from the standard input,
# and print each of them once, without duplicates.  Input order is
# *not* preserved.
am__uniquify_input = $(AWK) '\
  BEGIN { nonempty = 0; } \
  { items[$$0] = 1; nonempty = 1; } \
  END { if (nonempty) { for (i in items) print i; }; } \
'
# Make sure the list of sources is unique.  This is necessary because,
# e.g., the same source file might be shared among _SOURCES variables
# for different programs/libraries.
am__define_uniq_tagged_files = \
  list='$(am__tagged_files)'; \
  unique=`for i in $$list; do \
    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
  done | $(am__uniquify_input)`
ETAGS = etags
CTAGS = ctags
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /home/mtwebster/bin/cinnamon-menus/missing aclocal-1.13
AMTAR = $${TAR-tar}
AM_DEFAULT_VERBOSITY = 0
AR = ar
AS = as
AUTOCONF = ${SHELL} /home/mtwebster/bin/cinnamon-menus/missing autoconf
AUTOHEADER = ${SHELL} /home/mtwebster/bin/cinnamon-menus/missing autoheader
AUTOMAKE = ${SHELL} /home/mtwebster/bin/cinnamon-menus/missing automake-1.13
AWK = gawk
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -g -O2
CPP = gcc -E
CPPFLAGS = 
CYGPATH_W = echo
DEBUG_CFLAGS = -DG_ENABLE_DEBUG -DG_DISABLE_CAST_CHECKS
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DISABLE_DEPRECATED =  -DGCONF_DISABLE_DEPRECATED -DGCONF_DISABLE_SINGLE_INCLUDES -DBONOBO_DISABLE_DEPRECATED -DBONOBO_DISABLE_SINGLE_INCLUDES -DBONOBO_UI_DISABLE_DEPRECATED -DBONOBO_UI_DISABLE_SINGLE_INCLUDES -DGNOME_DISABLE_DEPRECATED -DGNOME_DISABLE_SINGLE_INCLUDES -DLIBGLADE_DISABLE_DEPRECATED -DLIBGLADE_DISABLE_SINGLE_INCLUDES -DGNOME_VFS_DISABLE_DEPRECATED -DGNOME_VFS_DISABLE_SINGLE_INCLUDES -DWNCK_DISABLE_DEPRECATED -DWNCK_DISABLE_SINGLE_INCLUDES -DLIBSOUP_DISABLE_DEPRECATED -DLIBSOUP_DISABLE_SINGLE_INCLUDES
DISABLE_DEPRECATED_CFLAGS = 
DLLTOOL = dlltool
DSYMUTIL = 
DUMPBIN = 
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /bin/grep -E
EXEEXT = 
FGREP = /bin/grep -F
GIO_UNIX_CFLAGS = -pthread -I/usr/include/gio-unix-2.0/ -I/usr/include/glib-2.0 -I/usr/lib/x86_64-linux-gnu/glib-2.0/include  
GIO_UNIX_LIBS = -lgio-2.0 -lgobject-2.0 -lglib-2.0  
GREP = /bin/grep
INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
INTROSPECTION_CFLAGS = -pthread -I/usr/include/glib-2.0 -I/usr/lib/x86_64-linux-gnu/glib-2.0/include -I/usr/include/gobject-introspection-1.0  
INTROSPECTION_COMPILER = /usr/bin/g-ir-compiler
INTROSPECTION_GENERATE = /usr/bin/g-ir-generate
INTROSPECTION_GIRDIR = /usr/share/gir-1.0
INTROSPECTION_LIBS = -lgirepository-1.0 -lgobject-2.0 -lglib-2.0  
INTROSPECTION_MAKEFILE = /usr/share/gobject-introspection-1.0/Makefile.introspection
INTROSPECTION_SCANNER = /usr/bin/g-ir-scanner
INTROSPECTION_TYPELIBDIR = /usr/lib/girepository-1.0
LD = /usr/bin/ld -m elf_x86_64
LDFLAGS = 
LIBOBJS = 
LIBS = 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LIB_MENU_LT_VERSION = 0:1:0
LIPO = 
LN_S = ln -s
LTLIBOBJS = 
MAINT = 
MAKEINFO = ${SHELL} /home/mtwebster/bin/cinnamon-menus/missing makeinfo
MANIFEST_TOOL = :
MKDIR_P = /bin/mkdir -p
NM = /usr/bin/nm -B
NMEDIT = 
OBJDUMP = objdump
OBJEXT = o
OTOOL = 
OTOOL64 = 
PACKAGE = cinnamon-menus
PACKAGE_BUGREPORT = 
PACKAGE_NAME = cinnamon-menus
PACKAGE_STRING = cinnamon-menus 2.1
PACKAGE_TARNAME = cinnamon-menus
PACKAGE_URL = 
PACKAGE_VERSION = 2.1
PATH_SEPARATOR = :
PKG_CONFIG = /usr/bin/pkg-config
PKG_CONFIG_LIBDIR = 
PKG_CONFIG_PATH = 
RANLIB = ranlib
SED = /bin/sed
SET_MAKE = 
SHELL = /bin/bash
STRIP = strip
VERSION = 2.1
WARN_CFLAGS =  -Wall -Wstrict-prototypes -Wnested-externs -Werror=missing-prototypes -Werror=implicit-function-declaration -Werror=pointer-arith -Werror=init-self -Werror=format-security -Werror=format=2 -Werror=missing-include-dirs 
abs_builddir = /home/mtwebster/bin/cinnamon-menus/libmenu
abs_srcdir = /home/mtwebster/bin/cinnamon-menus/libmenu
abs_top_builddir = /home/mtwebster/bin/cinnamon-menus
abs_top_srcdir = /home/mtwebster/bin/cinnamon-menus
ac_ct_AR = ar
ac_ct_CC = gcc
ac_ct_DUMPBIN = 
am__include = include
am__leading_dot = .
am__quote = 
am__tar = $${TAR-tar} chof - "$$tardir"
am__untar = $${TAR-tar} xf -
bindir = ${exec_prefix}/bin
build = x86_64-unknown-linux-gnu
build_alias = 
build_cpu = x86_64
build_os = linux-gnu
build_vendor = unknown
builddir = .
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
exec_prefix = ${prefix}
host = x86_64-unknown-linux-gnu
host_alias = 
host_cpu = x86_64
host_os = linux-gnu
host_vendor = unknown
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = ${SHELL} /home/mtwebster/bin/cinnamon-menus/install-sh
libdir = ${exec_prefix}/lib

=== debian/changelog ===
cinnamon-menus (2.4.0+rebecca) rebecca; urgency=medium

  * 2.4.0

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 30 Oct 2014 15:22:32 +0100

cinnamon-menus (2.3.0) unstable; urgency=medium

  * 2.3.0

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 27 Jun 2014 14:27:33 +0100

cinnamon-menus (2.2.0) qiana; urgency=medium

  * 2.2.0

 -- Clement Lefebvre <root@linuxmint.com>  Sat, 12 Apr 2014 11:09:28 +0100

## cinnamon-menus 2.6.0

=== debian/changelog ===
cinnamon-menus (2.6.0-1) unstable; urgency=medium

  * Add lib dependency to the cmenu gir.
  * New upstream release (2.6.0).

 -- Maximiliano Curia <maxy@debian.org>  Wed, 03 Jun 2015 21:46:32 +0200

cinnamon-menus (2.4.2-1) experimental; urgency=medium

  * New upstream release (2.4.2).

 -- Maximiliano Curia <maxy@debian.org>  Tue, 21 Apr 2015 23:18:16 +0200

=== debian/control ===
Source: cinnamon-menus
Section: x11
Priority: optional
Maintainer: Debian Cinnamon Team <pkg-cinnamon-team@lists.alioth.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>,
           Margarita Manterola <marga@debian.org>,
           Fabio Fantoni <fantonifabio@tiscali.it>
Homepage: http://cinnamon.linuxmint.com
Build-Depends: debhelper (>= 9),
               dh-autoreconf,
               dh-python,
               gnome-pkg-tools,
               gobject-introspection (>= 0.9.12-4~),
               intltool (>= 0.40.0),
               libgirepository1.0-dev (>= 0.10.7-1~),
               libglib2.0-dev (>= 2.30.0),
               python3 (>= 3.1)
Standards-Version: 3.9.5
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-cinnamon/cinnamon-menus.git
Vcs-Git: git://anonscm.debian.org/pkg-cinnamon/cinnamon-menus.git
X-Python3-Version: >= 3.1

Package: libcinnamon-menu-3-0
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Cinnamon implementation of the freedesktop menu specification
 The package contains an implementation of the draft
 "Desktop Menu Specification" from freedesktop.org:
 .
 http://www.freedesktop.org/Standards/menu-spec
 .
 This package contains the shared library.

Package: libcinnamon-menu-3-0-dbg
Section: debug
Priority: extra
Architecture: any
Depends: libcinnamon-menu-3-0 (= ${binary:Version}), ${misc:Depends}
Description: Cinnamon implementation of the freedesktop menu specification
 The package contains an implementation of the draft
 "Desktop Menu Specification" from freedesktop.org:
 .
 http://www.freedesktop.org/Standards/menu-spec
 .
 This package contains debugging symbols.

Package: libcinnamon-menu-3-dev
Architecture: any
Section: libdevel
Depends: gir1.2-cmenu-3.0 (= ${binary:Version}),
         libcinnamon-menu-3-0 (= ${binary:Version}),
         libglib2.0-dev (>= 2.30.0),
         ${misc:Depends}
Replaces: gir-repository-dev (<< 0.6.5-6)
Description: Cinnamon implementation of the freedesktop menu specification
 The package contains an implementation of the draft
 "Desktop Menu Specification" from freedesktop.org:
 .
 http://www.freedesktop.org/Standards/menu-spec
 .
 This package contains the development headers.

Package: gir1.2-cmenu-3.0
Section: introspection
Architecture: any
Depends: libcinnamon-menu-3-0 (= ${binary:Version}),
         ${gir:Depends},
         ${misc:Depends},
         ${shlibs:Depends}
Conflicts: gobject-introspection-repository
Description: GObject introspection data for the Cinnamon menu library
 This package contains introspection data for Cinnamon menu, an
 implementation of the desktop menu specification from freedesktop.org.
 .
 It can be used by languages supporting dynamic bindings with
 the GIRepository format.

## cinnamon-menus 2.6.0+rafaela

=== debian/changelog ===
cinnamon-menus (2.6.0+rafaela) rafaela; urgency=medium

  * 2.6.0

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 19 May 2015 17:05:48 +0200

cinnamon-menus (2.5.0) unstable; urgency=medium

  * Bump for development

 -- Michael Webster <miketwebster@gmail.com>  Sat, 11 Apr 2015 09:07:20 -0400

cinnamon-menus (2.4.2) rebecca; urgency=medium

  * Added missing gnome-common in build-dependencies (needed by GNOME_COMPILE_WARNINGS in configure.ac)

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 31 Mar 2015 12:26:33 +0200

cinnamon-menus (2.4.1) rebecca; urgency=medium

  * Merge debian folder improvements from debian git
  * gir1.2-cmenu-3.0.install based on gir libdir

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 13 Jan 2015 12:07:31 +0100

cinnamon-menus (2.4.0) rebecca; urgency=medium

  * 2.4.0

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 30 Oct 2014 15:22:32 +0100

## cinnamon-menus 2.8.0

=== debian/changelog ===
cinnamon-menus (2.8.0-1) unstable; urgency=medium

  * New upstream release (2.8.0).

 -- Maximiliano Curia <maxy@debian.org>  Fri, 08 Jan 2016 20:19:43 +0100

cinnamon-menus (2.6.0-2) unstable; urgency=medium

  * Bump Standards-Version to 3.9.6, no changes needed.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 13 Jul 2015 21:38:47 +0200

=== debian/control ===
--- 
+++ 
@@ -15,8 +15,8 @@
                libgirepository1.0-dev (>= 0.10.7-1~),
                libglib2.0-dev (>= 2.30.0),
                python3 (>= 3.1)
-Standards-Version: 3.9.5
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-cinnamon/cinnamon-menus.git
+Standards-Version: 3.9.6
+Vcs-Browser: http://anonscm.debian.org/cgit/pkg-cinnamon/cinnamon-menus.git
 Vcs-Git: git://anonscm.debian.org/pkg-cinnamon/cinnamon-menus.git
 X-Python3-Version: >= 3.1
 
@@ -31,22 +31,9 @@
  .
  This package contains the shared library.
 
-Package: libcinnamon-menu-3-0-dbg
-Section: debug
-Priority: extra
+Package: libcinnamon-menu-3-dev
+Section: libdevel
 Architecture: any
-Depends: libcinnamon-menu-3-0 (= ${binary:Version}), ${misc:Depends}
-Description: Cinnamon implementation of the freedesktop menu specification
- The package contains an implementation of the draft
- "Desktop Menu Specification" from freedesktop.org:
- .
- http://www.freedesktop.org/Standards/menu-spec
- .
- This package contains debugging symbols.
-
-Package: libcinnamon-menu-3-dev
-Architecture: any
-Section: libdevel
 Depends: gir1.2-cmenu-3.0 (= ${binary:Version}),
          libcinnamon-menu-3-0 (= ${binary:Version}),
          libglib2.0-dev (>= 2.30.0),
@@ -74,3 +61,16 @@
  .
  It can be used by languages supporting dynamic bindings with
  the GIRepository format.
+
+Package: libcinnamon-menu-3-0-dbg
+Section: debug
+Priority: extra
+Architecture: any
+Depends: libcinnamon-menu-3-0 (= ${binary:Version}), ${misc:Depends}
+Description: Cinnamon implementation of the freedesktop menu specification
+ The package contains an implementation of the draft
+ "Desktop Menu Specification" from freedesktop.org:
+ .
+ http://www.freedesktop.org/Standards/menu-spec
+ .
+ This package contains debugging symbols.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

%:
	dh $@ --parallel --with=autoreconf,python3

override_dh_strip:
	dh_strip --dbg-package=libcinnamon-menu-3-0-dbg

override_dh_install:
	dh_install --list-missing

override_dh_auto_clean:
	-dh_auto_clean

=== debian/watch ===
version=3
opts="filenamemangle=s/.*\/(.*)/cinnamon-menus-$1/" \
    https://github.com/linuxmint/cinnamon-menus/tags .*/(\d.*)\.(?:tgz|tar\.(?:gz|bz2|xz))

## cinnamon-menus 2.8.0+rosa

=== debian/changelog ===
cinnamon-menus (2.8.0+rosa) rosa; urgency=medium

  * 2.8.0

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 16 Oct 2015 14:02:11 +0100

cinnamon-menus (2.6.0) rafaela; urgency=medium

  * 2.6.0

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 19 May 2015 17:05:48 +0200

## cinnamon-menus 3.0.1

=== debian/changelog ===
cinnamon-menus (3.0.1-1) unstable; urgency=medium

  * New upstream release.

 -- Margarita Manterola <marga@debian.org>  Sat, 28 May 2016 16:08:08 +0200

cinnamon-menus (3.0.0-1) unstable; urgency=medium

  * New upstream release (3.0.0).
  * debian/control: Update Vcs-Browser and Vcs-Git fields
  * Add a .gitattributes file to use dpkg-mergechangelogs
  * Bump Standards-Version to 3.9.8
  * Migrate dbg package to automatic dbgsym
  * Refresh patch

 -- Maximiliano Curia <maxy@debian.org>  Fri, 13 May 2016 12:56:13 +0200

=== debian/control ===
--- 
+++ 
@@ -15,9 +15,9 @@
                libgirepository1.0-dev (>= 0.10.7-1~),
                libglib2.0-dev (>= 2.30.0),
                python3 (>= 3.1)
-Standards-Version: 3.9.6
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-cinnamon/cinnamon-menus.git
-Vcs-Git: git://anonscm.debian.org/pkg-cinnamon/cinnamon-menus.git
+Standards-Version: 3.9.8
+Vcs-Browser: https://anonscm.debian.org/git/pkg-cinnamon/cinnamon-menus.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-cinnamon/cinnamon-menus.git
 X-Python3-Version: >= 3.1
 
 Package: libcinnamon-menu-3-0
@@ -61,16 +61,3 @@
  .
  It can be used by languages supporting dynamic bindings with
  the GIRepository format.
-
-Package: libcinnamon-menu-3-0-dbg
-Section: debug
-Priority: extra
-Architecture: any
-Depends: libcinnamon-menu-3-0 (= ${binary:Version}), ${misc:Depends}
-Description: Cinnamon implementation of the freedesktop menu specification
- The package contains an implementation of the draft
- "Desktop Menu Specification" from freedesktop.org:
- .
- http://www.freedesktop.org/Standards/menu-spec
- .
- This package contains debugging symbols.

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 	dh $@ --parallel --with=autoreconf,python3
 
 override_dh_strip:
-	dh_strip --dbg-package=libcinnamon-menu-3-0-dbg
+	dh_strip --dbgsym-migration='libcinnamon-menu-3-0-dbg (<= 3.0.0-1~~)'
 
 override_dh_install:
 	dh_install --list-missing
